# Generated by Django 4.1 on 2022-09-01 23:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AlertCategory',
            fields=[
                ('id', models.UUIDField(auto_created=True, default='6f75bc2f8566424bac4e94ea4768553b', primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(verbose_name='Updated at')),
                ('deleted_at', models.DateTimeField(blank=True, null=True, verbose_name='Deleted at')),
                ('alive', models.BooleanField(default=True, verbose_name='Alive')),
                ('name', models.CharField(max_length=512, unique=True, verbose_name='Alert Category')),
                ('slug', models.SlugField(max_length=724, unique=True, verbose_name='Slug category')),
            ],
            options={
                'verbose_name': 'Alert category',
                'verbose_name_plural': 'Alert categories',
            },
        ),
        migrations.CreateModel(
            name='BesafeAlert',
            fields=[
                ('id', models.UUIDField(auto_created=True, default='6f75bc2f8566424bac4e94ea4768553b', primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(verbose_name='Updated at')),
                ('deleted_at', models.DateTimeField(blank=True, null=True, verbose_name='Deleted at')),
                ('alive', models.BooleanField(default=True, verbose_name='Alive')),
                ('lat', models.FloatField(verbose_name='Latitude')),
                ('lon', models.FloatField(verbose_name='Longitude')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_query_name='besafe_alerts_category', to='besafe_alerts.alertcategory', verbose_name='Alert Category')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_query_name='besafe_alerts_profile', to='core.profile', verbose_name='Profile')),
            ],
            options={
                'verbose_name': 'Besafe Alert',
                'verbose_name_plural': 'Besafe Alerts',
            },
        ),
    ]
